> ## Documentation Index > Fetch the complete documentation index at: https://docs.graphiant.com/llms.txt > Use this file to discover all available pages before exploring further. # /v1/auth/mfa ## OpenAPI ````json POST /v1/auth/mfa { "openapi": "3.0.0", "info": { "title": "Graphiant APIs", "version": "1.0.0", "description": "Graphiant API documentation." }, "servers": [ { "url": "https://api.graphiant.com" } ], "security": [ { "jwtAuth": [] } ], "tags": [], "paths": { "/v1/auth/mfa": { "post": { "requestBody": { "required": true, "content": { "application/json": { "schema": { "$ref": "#/components/schemas/v1AuthMfaPostRequest" } } } }, "responses": { "200": { "description": "MFA verification successful", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/v1AuthLoginPostResponse" } } } }, "400": { "description": "Bad request - Missing required fields", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/v1AuthErrorPostResponse" } } } }, "500": { "description": "Internal server error", "content": { "application/json": { "schema": { "type": "object", "properties": { "error": { "type": "string", "example": "Internal error" } } } } } } } } } }, "components": { "schemas": { "v1AuthMfaPostRequest": { "type": "object", "properties": { "email": { "type": "string", "example": "user@example.com" }, "mfaType": { "type": "string", "example": "TOTP" }, "code": { "type": "string", "example": 123456 }, "stateToken": { "type": "string", "example": "state-token-12345" } }, "required": [ "email", "mfaType", "code" ] }, "v1AuthLoginPostResponse": { "type": "object", "properties": { "auth": { "type": "boolean", "example": true }, "token": { "type": "string", "example": "gr-auth-12345678-1234-1234-1234-123456789012-87654321-4321-4321-4321-210987654321" }, "accountType": { "type": "string", "enum": [ "no_account", "enterprise", "provider", "msp", "graphiant" ], "example": "enterprise" }, "email": { "type": "string", "example": "user@example.com", "description": "User email address (returned for MFA users)" }, "mfaType": { "type": "string", "example": "TOTP", "description": "MFA type (returned for MFA users)" }, "stateToken": { "type": "string", "example": "state-token-12345", "description": "State token for MFA verification (returned for MFA users)" }, "status": { "type": "string", "example": "AwaitingMfa", "description": "Authentication status (returned for MFA users)" } } }, "v1AuthErrorPostResponse": { "type": "object", "properties": { "auth": { "type": "boolean", "example": false }, "token": { "type": "string", "nullable": true, "example": null }, "error": { "type": "string", "example": "email not provided" } }, "required": [ "auth", "token", "error" ] } }, "securitySchemes": { "jwtAuth": { "type": "apiKey", "in": "header", "name": "authorization", "description": "Use `Bearer `" } } } } ````